#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@geom.umn.edu).
#
#  Copyright (c) 1995-1996 by The Geometry Center.
#  All rights reserved.
#
######################################################
#  
# output.tcl
#

proc output(build) {} {

    if [winfo exists .output] {
	wm deiconify .output
	raiss .output
	return
    }

    set name [build_Toplevel output]
    build_Title $name Output

    set cmd [build_CmdFrame $name cmd]

    build_Filename $cmd fn output(filename) output(directory)

    pack $cmd -fill both -expand 1

    build_DismissButtonbar $name dbbar "destroy .output"

    build_Optionsactionlist $name.dbbar oalist output(change) \
	{"Write data to file" output(go)}

}


proc output(change) {} {
    global output

    if {$output(go)} {
	set name "$output(directory)/$output(filename)"
	# check to see if we can write to this file
	# check to see if file exists already
	satellites OUTPUT_ON $name
    } else {
	satellites OUTPUT_OFF
    }
}

